Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Interface Vision

All Known Implementing Classes:
  SeeingAgent

public interface Vision

Ability, for an element implementing the interface, to see other elements.

Method Summary
`boolean` | `canSee(Element e)` Determinates whether the given element can be seen, with the restrictions of the vision ability.
`java.util.Vector` | `watch()` Returns the visible elements, with the restrictions of the vision ability.
`java.util.Vector` | `watchFor(Selector selector)` Searchs for all the visible elements fiting a given selector, with the restrictions of the vision ability.
`Element` | `watchForNearest(Selector selector)` Searchs for the nearest visible element fiting a given selector, with the restrictions of the vision ability.
`Element` | `watchNearest()` Searchs for the nearest visible element, with the restrictions of the vision ability.

Method Detail

### canSee

    public boolean canSee(Element e)

  Determinates whether the given element can be seen, with the restrictions of the vision ability.

### watch

    public java.util.Vector watch()

  Returns the visible elements, with the restrictions of the vision ability.

### watchNearest

    public Element watchNearest()

  Searchs for the nearest visible element, with the restrictions of the vision ability. Returns `null` if not found.

### watchFor

    public java.util.Vector watchFor(Selector selector)

  Searchs for all the visible elements fiting a given selector, with the restrictions of the vision ability. Returns `null` if not found.

### watchForNearest

    public Element watchForNearest(Selector selector)

  Searchs for the nearest visible element fiting a given selector, with the restrictions of the vision ability. Returns `null` if not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD